#version 330

in vec3 worldNormal;
in vec2 fragmentUV;
in vec3 surfacePosition;
in vec3 surfaceNormal;

out vec4 fragColor;

uniform sampler2D colorTexture;
uniform float specExp;
uniform vec3 Ld;
uniform vec3 Ls;
uniform vec3 lightPosition;
uniform vec3 cameraPosition;
uniform float lightPower;

void main()
{
	float depth=gl_FragCoord.z;
	depth = 1-(1.0 - (1- depth) * 100.0); 
	 fragColor = vec4(vec3(depth),1);
}