#version 330

in vec2 fragmentUV;

out vec4 fragColor;

uniform sampler2D colorTexture;
uniform float hitEnemy;

void main()
{
	vec4 textureColor = texture(colorTexture, fragmentUV).rgba;

	fragColor = vec4(textureColor);	
	
	if(hitEnemy == 1.0 && fragColor.r <= 0.5) {
		fragColor.r = 1.0;
		fragColor.b = 0.0;
		fragColor.g = 0.0;
	}
}